atkmm: Atk::RelationSet Class Reference

atkmm 2.28.5

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Atk::RelationSet Class Reference

A set of Atk::Relations, normally the set of AtkRelations which an Atk::Object has. More...

`#include <atkmm/relationset.h>`

Inheritance diagram for Atk::RelationSet:
[legend]

## Public Member Functions
| RelationSet (RelationSet && src) noexcept
RelationSet & | operator= (RelationSet && src) noexcept
| ~RelationSet () noexcept override
AtkRelationSet * | gobj ()
| Provides access to the underlying C GObject.
const AtkRelationSet * | gobj () const
| Provides access to the underlying C GObject.
AtkRelationSet * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
bool | set_contains (RelationType relationship)
| Determines whether the relation set contains a relation that matches the specified type.
void | set_remove (const Glib::RefPtr< Relation > & relation)
| Removes a relation from the relation set.
void | set_add (const Glib::RefPtr< Relation > & relation)
| Add a new relation to the current relation set if it is not already present.
int | get_n_relations () const
| Determines the number of relations in a relation set.
Glib::RefPtr< Relation > | get_relation (gint i)
| Determines the relation at the specified position in the relation set.
Glib::RefPtr< Relation > | get_relation (RelationType relationship)
| Finds a relation that matches the specified type.
void | add_relation_by_type (RelationType relationship, const Glib::RefPtr< Atk::Object > & target)
| Add a new relation of the specified type with the specified target to the current relation set if the relation set does not contain a relation of that type.
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< RelationSet > | create ()

## Protected Member Functions
| RelationSet ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Atk::RelationSet > | wrap (AtkRelationSet * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

A set of Atk::Relations, normally the set of AtkRelations which an Atk::Object has.

## Constructor & Destructor Documentation

## ◆ RelationSet() [1/2]

Atk::RelationSet::RelationSet | ( | RelationSet && | src | ) |
| noexcept

## ◆ ~RelationSet()

Atk::RelationSet::~RelationSet | ( |  | ) |
| overridenoexcept

## ◆ RelationSet() [2/2]

Atk::RelationSet::RelationSet | ( |  | ) |
| protected

## Member Function Documentation

## ◆ add_relation_by_type()

void Atk::RelationSet::add_relation_by_type | ( | RelationType | relationship,
|  | const Glib::RefPtr< Atk::Object > & | target )

Add a new relation of the specified type with the specified target to the current relation set if the relation set does not contain a relation of that type.

If it is does contain a relation of that typea the target is added to the relation.

Since atkmm 1.9

Parameters

  relationship | An Atk::RelationType.
  target | An Atk::Object.

## ◆ create()

Glib::RefPtr< RelationSet > Atk::RelationSet::create | ( |  | ) |
| static

## ◆ get_n_relations()

int Atk::RelationSet::get_n_relations | ( |  | ) | const

Determines the number of relations in a relation set.

Returns
  An integer representing the number of relations in the set.

## ◆ get_relation() [1/2]

Glib::RefPtr< Relation > Atk::RelationSet::get_relation | ( | gint | i | ) |

Determines the relation at the specified position in the relation set.

Parameters

  i | A int representing a position in the set, starting from 0.

Returns
  A Atk::Relation, which is the relation at position i in the set.

## ◆ get_relation() [2/2]

Glib::RefPtr< Relation > Atk::RelationSet::get_relation | ( | RelationType | relationship | ) |

Finds a relation that matches the specified type.

Parameters

  relationship | An Atk::RelationType.

Returns
  An Atk::Relation, which is a relation matching the specified type.

## ◆ get_type()

GType Atk::RelationSet::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

AtkRelationSet * Atk::RelationSet::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const AtkRelationSet * Atk::RelationSet::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

AtkRelationSet * Atk::RelationSet::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

RelationSet & Atk::RelationSet::operator= | ( | RelationSet && | src | ) |
| noexcept

## ◆ set_add()

void Atk::RelationSet::set_add | ( | const Glib::RefPtr< Relation > & | relation | ) |

Add a new relation to the current relation set if it is not already present.

This function ref's the AtkRelation so the caller of this function should unref it to ensure that it will be destroyed when the AtkRelationSet is destroyed.

Parameters

  relation | An Atk::Relation.

## ◆ set_contains()

bool Atk::RelationSet::set_contains | ( | RelationType | relationship | ) |

Determines whether the relation set contains a relation that matches the specified type.

Parameters

  relationship | An Atk::RelationType.

Returns
  true if relationship is the relationship type of a relation in set, false otherwise.

## ◆ set_remove()

void Atk::RelationSet::set_remove | ( | const Glib::RefPtr< Relation > & | relation | ) |

Removes a relation from the relation set.

This function unref's the Atk::Relation so it will be deleted unless there is another reference to it.

Parameters

  relation | An Atk::Relation.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Atk::RelationSet > wrap | ( | AtkRelationSet * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.